## groovy.util
Class XmlNodePrinter.NamespaceContext

    java.lang.Object
      groovy.util.XmlNodePrinter.NamespaceContext

Enclosing class:
  XmlNodePrinter

    protected class XmlNodePrinter.NamespaceContext

extends Object

Constructor Summary
`XmlNodePrinter.NamespaceContext()`
`XmlNodePrinter.NamespaceContext(XmlNodePrinter.NamespaceContext context)`

Method Summary
`String` `getNamespace(String prefix)`
`boolean` `isPrefixRegistered(String prefix, String uri)`
`void` `registerNamespacePrefix(String prefix, String uri)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XmlNodePrinter.NamespaceContext

    public XmlNodePrinter.NamespaceContext()

### XmlNodePrinter.NamespaceContext

    public XmlNodePrinter.NamespaceContext(XmlNodePrinter.NamespaceContext context)

Method Detail

### isPrefixRegistered

    public boolean isPrefixRegistered(String prefix,
                                      String uri)

### registerNamespacePrefix

    public void registerNamespacePrefix(String prefix,
                                        String uri)

### getNamespace

    public String getNamespace(String prefix)

Copyright © 2003-2009 The Codehaus. All rights reserved.